<?php

/**
 * Music Library Manager - Configuration File
 * 
 * This file is editable by users, and defines the database credentials
 * to be used by this program.
 * 
 * JBOX_DB_DSN      - PDO-style DSN to define the DB connection
 * JBOX_DB_USER     - Database user name to use
 * JBOX_DB_PASSWORD - Database password to use
 * 
 * Examples DSNs: 
 * 
 * Connect to a MySQL DB named 'jukebox' on locahost / 3306 / default socket:
 * 'mysql:dbname=jukebox'
 * 
 * Connect to a MySQL DB named 'jukebox' on 10.1.1.1 port 3307:
 * 'mysql:host=10.1.1.1;dbname=jukebox;port=3307' 
 * 
 * Use an SQLite DB located at /tmp/jukebox.sqlite:
 * 'sqlite:/tmp/jukebox.sqlite'
 * 
 * For SQLite, you do not need to specify any user name or password
 * 
 * You must have the proper PDO adapter extension loaded for the DB type you
 * intend to use. 
 */

// Database PDO DSN
define('JBOX_DB_DSN', 'sqlite:' . realpath(dirname(dirname(__FILE__))) . 
    DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'jukebox.sq3');

// Database user
define('JBOX_DB_USER', null);

// Database password
define('JBOX_DB_PASSWORD', null);
